### Enumeration

# GLib VariantParseError

#### Declaration

    error-domain GLib.VariantParseError

#### Description [src]

Error codes returned by parsing text-format GVariants.

#### Members

Name | Description
--- | ---
`G_VARIANT_PARSE_ERROR_FAILED` | Generic error (unused)
`G_VARIANT_PARSE_ERROR_BASIC_TYPE_EXPECTED` | A non-basic `GVariantType` was given where a basic type was expected.
`G_VARIANT_PARSE_ERROR_CANNOT_INFER_TYPE` | Cannot infer the `GVariantType`.
`G_VARIANT_PARSE_ERROR_DEFINITE_TYPE_EXPECTED` | An indefinite `GVariantType` was given where a definite type was expected.
`G_VARIANT_PARSE_ERROR_INPUT_NOT_AT_END` | Extra data after parsing finished.
`G_VARIANT_PARSE_ERROR_INVALID_CHARACTER` | Invalid character in number or unicode escape.
`G_VARIANT_PARSE_ERROR_INVALID_FORMAT_STRING` | Not a valid `GVariant` format string.
`G_VARIANT_PARSE_ERROR_INVALID_OBJECT_PATH` | Not a valid object path.
`G_VARIANT_PARSE_ERROR_INVALID_SIGNATURE` | Not a valid type signature.
`G_VARIANT_PARSE_ERROR_INVALID_TYPE_STRING` | Not a valid `GVariant` type string.
`G_VARIANT_PARSE_ERROR_NO_COMMON_TYPE` | Could not find a common type for array entries.
`G_VARIANT_PARSE_ERROR_NUMBER_OUT_OF_RANGE` | The numerical value is out of range of the given type.
`G_VARIANT_PARSE_ERROR_NUMBER_TOO_BIG` | The numerical value is out of range for any type.
`G_VARIANT_PARSE_ERROR_TYPE_ERROR` | Cannot parse as variant of the specified type.
`G_VARIANT_PARSE_ERROR_UNEXPECTED_TOKEN` | An unexpected token was encountered.
`G_VARIANT_PARSE_ERROR_UNKNOWN_KEYWORD` | An unknown keyword was encountered.
`G_VARIANT_PARSE_ERROR_UNTERMINATED_STRING_CONSTANT` | Unterminated string constant.
`G_VARIANT_PARSE_ERROR_VALUE_EXPECTED` | No value given.
`G_VARIANT_PARSE_ERROR_RECURSION` | Variant was too deeply nested; `GVariant` is only guaranteed to handle nesting up to 64 levels (Since: 2.64)